## com.google.appengine.api.appidentity
Class AppIdentityService.SigningResult

    java.lang.Object
      com.google.appengine.api.appidentity.AppIdentityService.SigningResult

Enclosing interface:
  AppIdentityService

    public static class AppIdentityService.SigningResult

extends java.lang.Object

`AppIdentityService.SigningResult` is returned by signForApp, which contains signing key name and signature.

Constructor Summary
`AppIdentityService.SigningResult(java.lang.String keyName, byte[] signature)`

Method Summary
`java.lang.String` `getKeyName()`
`byte[]` `getSignature()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppIdentityService.SigningResult

    public AppIdentityService.SigningResult(java.lang.String keyName,
                                            byte[] signature)

Method Detail

### getKeyName

    public java.lang.String getKeyName()

### getSignature

    public byte[] getSignature()